Bug 433001 - glibc fails to build on sparc64 with assembler mismatch errors
glibc fails to build on sparc64 with assembler mismatch errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
9
sparc64 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
http://sparc.koji.fedoraproject.org/k...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 12:10 EST by Dennis Gilmore
Modified: 2009-03-01 14:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-01 14:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch making asm being used correctly (498 bytes, patch)
2008-02-23 23:15 EST, Dennis Gilmore
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2008-02-15 12:10:18 EST
building glibc-2.7.90-6  in koji fails with 
../sysdeps/sparc/sparc64/memset.S: Assembler messages:
../sysdeps/sparc/sparc64/memset.S:248: Error: Architecture mismatch on "fzero".
../sysdeps/sparc/sparc64/memset.S:248:  (Requires v9a|v9b; requested
architecture is v9.)
../sysdeps/sparc/sparc64/memset.S:251: Error: Architecture mismatch on "fzero".
../sysdeps/sparc/sparc64/memset.S:251:  (Requires v9a|v9b; requested
architecture is v9.)

full logs can be found at
http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=50088

you can do scratch builds directly on the sparc buildsys by running the following
koji -c ~/.koji/sparc-config build --scratch dist-f9 <srpm|cvsurl>
Comment 1 Dennis Gilmore 2008-02-23 23:13:10 EST
i've fixed this failure by the patch im about attach.  but ive hit a new bug 

gcc -m64   -shared -static-libgcc -Wl,-O1  -Wl,-z,defs
-Wl,-dynamic-linker=/lib64/ld-linux.so.2 
-B/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/csu/ 
-Wl,--version-script=/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/libc.map
-Wl,-soname=libc.so.6 -Wl,-z,combreloc -Wl,-z,relro -Wl,--hash-style=both
-nostdlib -nostartfiles -e __libc_main -Wl,-z,now
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/math
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/elf
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/dlfcn
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/nss
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/nis
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/rt
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/resolv
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/crypt
-L/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/nptl
-Wl,-rpath-link=/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/math:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/elf:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/dlfcn:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/nss:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/nis:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/rt:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/resolv:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/crypt:/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/nptl
-o /builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/libc.so -T
/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/shlib.lds
/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/csu/abi-note.o
/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/elf/soinit.os
/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/libc_pic.os
/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/elf/sofini.os
/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/elf/interp.os
/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/elf/ld.so -lgcc
/builddir/build/BUILD/glibc-20080216T1726/build-sparc64-linuxnptl/libc_pic.os:
In function `__open64_2':
/builddir/build/BUILD/glibc-20080216T1726/io/../sysdeps/unix/sysv/linux/open64_2.c:31:
undefined reference to `__GI___open64'
collect2: ld returned 1 exit status
Comment 2 Dennis Gilmore 2008-02-23 23:15:03 EST
Created attachment 295730 [details]
Patch making asm being used correctly
Comment 3 Bug Zapper 2008-05-14 01:13:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 lexual 2009-03-01 03:56:25 EST
Is this fixed with later versions?
Comment 5 Dennis Gilmore 2009-03-01 14:03:01 EST
this has been long fixed. Ill close it now.

Note You need to log in before you can comment on or make changes to this bug.